> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /euipo/trademarks

> Get an EU trademark by its application or registration number

**Price:** 1 credit

**⚠️ Common errors:** 412: Trademark number not found in the EUIPO/TMview register



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/euipo/trademarks
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/euipo/trademarks:
    post:
      tags:
        - /euipo
      summary: /euipo/trademarks
      description: >-
        Get an EU trademark by its application or registration number


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Trademark number not found in the
        EUIPO/TMview register
      operationId: __api_euipo_trademarks_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EuipoTrademarkPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EuipoTrademark'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EuipoTrademarkPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        number:
          type: string
        office:
          $ref: '#/components/schemas/EuipoOffice'
          default: EM
      type: object
      required:
        - number
    EuipoTrademark:
      properties:
        '@type':
          type: string
          default: EuipoTrademark
        st13:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        office:
          anyOf:
            - type: string
            - type: 'null'
        application_number:
          anyOf:
            - type: string
            - type: 'null'
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        status_date:
          anyOf:
            - type: string
            - type: 'null'
        mark_type:
          anyOf:
            - type: string
            - type: 'null'
        kind_mark:
          anyOf:
            - type: string
            - type: 'null'
        application_date:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        receiving_office_date:
          anyOf:
            - type: string
            - type: 'null'
        expiry_date:
          anyOf:
            - type: string
            - type: 'null'
        application_language:
          anyOf:
            - type: string
            - type: 'null'
        second_language:
          anyOf:
            - type: string
            - type: 'null'
        application_reference:
          anyOf:
            - type: string
            - type: 'null'
        has_acquired_distinctiveness:
          anyOf:
            - type: boolean
            - type: 'null'
        case_law_count:
          anyOf:
            - type: integer
            - type: 'null'
        nice_classes:
          items:
            type: integer
          type: array
          default: []
        designated_countries:
          items:
            type: string
          type: array
          default: []
        opposition_period_start:
          anyOf:
            - type: string
            - type: 'null'
        opposition_period_end:
          anyOf:
            - type: string
            - type: 'null'
        colour_claimed:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        office_url:
          anyOf:
            - type: string
            - type: 'null'
        office_logo_url:
          anyOf:
            - type: string
            - type: 'null'
        office_trademark_number:
          anyOf:
            - type: string
            - type: 'null'
        applicants:
          items:
            $ref: '#/components/schemas/EuipoParty'
          type: array
          default: []
        representatives:
          items:
            $ref: '#/components/schemas/EuipoParty'
          type: array
          default: []
        correspondence_address:
          anyOf:
            - $ref: '#/components/schemas/EuipoParty'
            - type: 'null'
        goods_and_services:
          items:
            $ref: '#/components/schemas/EuipoGoodsAndServices'
          type: array
          default: []
        vienna_codes:
          items:
            $ref: '#/components/schemas/EuipoViennaCode'
          type: array
          default: []
        seniorities:
          items:
            $ref: '#/components/schemas/EuipoSeniority'
          type: array
          default: []
        publications:
          items:
            $ref: '#/components/schemas/EuipoPublication'
          type: array
          default: []
        oppositions:
          items:
            $ref: '#/components/schemas/EuipoProceeding'
          type: array
          default: []
        cancellations:
          items:
            $ref: '#/components/schemas/EuipoProceeding'
          type: array
          default: []
        appeals:
          items:
            $ref: '#/components/schemas/EuipoProceeding'
          type: array
          default: []
        renewals:
          items:
            $ref: '#/components/schemas/EuipoProceeding'
          type: array
          default: []
        recordals:
          items:
            $ref: '#/components/schemas/EuipoProceeding'
          type: array
          default: []
      type: object
      required:
        - st13
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    EuipoOffice:
      type: string
      enum:
        - EM
        - WO
        - AL
        - AP
        - AR
        - AT
        - AU
        - BA
        - BG
        - BN
        - BR
        - BX
        - BZ
        - CA
        - CH
        - CL
        - CN
        - CO
        - CR
        - CU
        - CY
        - CZ
        - DE
        - DK
        - DO
        - EE
        - EG
        - ES
        - FI
        - FR
        - GB
        - GE
        - GR
        - HR
        - HU
        - IE
        - IL
        - IN
        - IS
        - IT
        - JO
        - JP
        - KH
        - KR
        - LA
        - LI
        - LT
        - LV
        - MA
        - MC
        - MD
        - ME
        - MK
        - MT
        - MX
        - MY
        - 'NO'
        - NZ
        - OA
        - PE
        - PH
        - PL
        - PT
        - PY
        - RO
        - RS
        - RU
        - SE
        - SI
        - SK
        - TH
        - TN
        - TR
        - TT
        - UA
        - UG
        - US
        - UY
        - VN
        - ZM
    EuipoParty:
      properties:
        '@type':
          type: string
          default: EuipoParty
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        legal_form:
          anyOf:
            - type: string
            - type: 'null'
        legal_entity:
          anyOf:
            - type: string
            - type: 'null'
        nationality:
          anyOf:
            - type: string
            - type: 'null'
        incorporation_country:
          anyOf:
            - type: string
            - type: 'null'
        incorporation_state:
          anyOf:
            - type: string
            - type: 'null'
        full_address:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/EuipoAddress'
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        fax:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuipoGoodsAndServices:
      properties:
        '@type':
          type: string
          default: EuipoGoodsAndServices
        language:
          type: string
        classes:
          items:
            $ref: '#/components/schemas/EuipoNiceClassGoods'
          type: array
          default: []
      type: object
      required:
        - language
    EuipoViennaCode:
      properties:
        '@type':
          type: string
          default: EuipoViennaCode
        code:
          type: string
      type: object
      required:
        - code
    EuipoSeniority:
      properties:
        '@type':
          type: string
          default: EuipoSeniority
        country:
          anyOf:
            - type: string
            - type: 'null'
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
        st13:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuipoPublication:
      properties:
        '@type':
          type: string
          default: EuipoPublication
        identifier:
          anyOf:
            - type: string
            - type: 'null'
        section:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        page:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuipoProceeding:
      properties:
        '@type':
          type: string
          default: EuipoProceeding
        kind:
          anyOf:
            - type: string
            - type: 'null'
        identifier:
          anyOf:
            - type: string
            - type: 'null'
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        status_date:
          anyOf:
            - type: string
            - type: 'null'
        ground:
          anyOf:
            - type: string
            - type: 'null'
        nickname:
          anyOf:
            - type: string
            - type: 'null'
        case_references:
          items:
            type: string
          type: array
          default: []
        applicants:
          items:
            $ref: '#/components/schemas/EuipoParty'
          type: array
          default: []
        representatives:
          items:
            $ref: '#/components/schemas/EuipoParty'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    EuipoAddress:
      properties:
        '@type':
          type: string
          default: EuipoAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuipoNiceClassGoods:
      properties:
        '@type':
          type: string
          default: EuipoNiceClassGoods
        nice_class:
          type: string
        terms:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - nice_class
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````